/*
 * gpio_etwarm.h
 *
 * This programm demonstates the access to GPIO from user space
 * with the mmap systemcall. 
 * This sample program bases on http://www.simtec.co.uk/appnotes/AN0014/
 * 
 * (C) Copyright 2007
 * Forschungs- und Transferzentrum (FTZ) Leipzig
 * Carsten Koegler <koegler@ftz-leipzig.de>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 */

#ifndef _GPIO_ETWARM_INCLUDED_
#define _GPIO_ETWARM_INCLUDED_

typedef enum {
	AT91_PORTA,
	AT91_PORTB,
	AT91_PORTC,
	AT91_PORTD
	} T_AT91_PORT_NO;

typedef enum {
	AT91_PORT_INPUT,
	AT91_PORT_OUTPUT
	} T_AT91_PORT_CFG;

void gpio_etwarm_init(void);
void gpio_etwarm_cfg(T_AT91_PORT_NO port, int bitmask, T_AT91_PORT_CFG cfg);
void gpio_etwarm_out(T_AT91_PORT_NO port, int bitmask, int value);
int  gpio_etwarm_in(T_AT91_PORT_NO port, int bitmask);
void gpio_etwarm_exit(void);

#endif
